TIBCO Spotfire Statistics Services 7.11.1 Remote Code Execution Vulnerability

Summary

The web interface component of TIBCO Software Inc.’s TIBCO Spotfire Statistics Services contains a vulnerability that might theoretically allow an authenticated user to access sensitive information needed by the Spotfire Statistics Services server. The sensitive information that might be affected includes database, JMX, LDAP, Windows service account, and user credentials. Affected releases are TIBCO Software Inc.’s TIBCO Spotfire Statistics Services: versions up to and including 7.11.1; 10.0.0.

Credit:

The information has been provided by Tibco .
The original article can be found at: https://www.tibco.com/support/advisories/2019/05/tibco-security-advisory-may-14-2019-tibco-spotfire-statistics-services-2019-11204


Details

The component listed above contains a vulnerability that might theoretically allow an authenticated user to access sensitive information needed by the Spotfire Statistics Services server. The sensitive information that might be affected includes database, JMX, LDAP, Windows service account, and user credentials.

The impact of this vulnerability includes the theoretical possibility that credentials to both the Spotfire Statistics Services server, and to other systems could be exposed.

Vulnerable Systems:

  • Tibco Spotfire Statistics Services 7.11.1
  • Tibco Spotfire Statistics Services 10.0.0

CVE Information:
CVE-2019-11204

Disclosure Timeline:
Publish Date:05/14/2019